# Variables and secrets

### Variables and Secrets

The platform provides a centralized feature for managing frequently used values, such as destination URLs or authentication credentials, through **variables** and **secrets**. These values follow a **Key → Value** format for easy organization and reuse.

* **Variables**: These are values that can be reused across different webhooks and other processes. Variables can be accessed at any time after registration.
* **Secrets**: These are sensitive values, such as credentials, that cannot be retrieved after creation, providing an added layer of security.

{% hint style="info" %}
We recommend using **secrets** to store confidential data that should not be accessed by other users within the workspace.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.erathos.com/api/concepts/variables-and-secrets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
